View Issue Details

IDProjectCategoryView StatusLast Update
0001129SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.5 
Target Version3.4.0Fixed in Version3.4.0 
Summary0001129: Null pointer happens if trigger router is removed for a reload event that has not been sent. Should just skip the reload event.
Descriptionnull pointer happens if trigger router is removed for a reload event that has not been sent.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9f2565c3

2013-03-20 10:31:15

chenson

Details Diff
0001129: Null pointer happens if trigger router is removed for a reload event that has not been sent. Should just skip the reload event.
0001129
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2013-03-20 10:26 chenson New Issue
2013-03-20 10:26 chenson Status new => assigned
2013-03-20 10:26 chenson Assigned To => chenson
2013-03-21 15:00 chenson Status assigned => resolved
2013-03-21 15:00 chenson Fixed in Version => 3.4.0
2013-03-21 15:00 chenson Resolution open => fixed
2013-04-21 10:03 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6987
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9f2565c3